/*
boton que carga todo 
    id: btnCargar

div 1º proceso
    id: nombre1

div 2º proceso
    id: nombre2

*/

/* CREAMOS UN EVENTO CLICK PARA EL BOTON */

const btn1 = document.querySelector('#btnCargar');
btn1.addEventListener('click', () => {
    /* LLAMAMOS A LA FUNCION GENERAL */
    CargarTodo();
})

import { FUNC_DescargarDatos } from './funciones2.js';
import { FUNC_MostrarDatos } from './funciones2.js';

/* LA FUNCIÓN GENERAL */
async function CargarTodo() {
    try {
        console.log('cargando todo... espere...');

        /* 1º cargamos el primer cliente */
        /* llamaremos a una funcion importada
           que carga los datos del cliente  */
        //const cliente1 = await FUNC_DescargarDatosCliente('1', 'nombre_completo');
        //const cliente2 = await FUNC_DescargarDatosCliente('2', 'nombre_completo');
        const cliente = await Promise.all(
            [
                FUNC_DescargarDatos('-1', 'nombre_completo'),
                FUNC_DescargarDatos('2', 'nombre_completo')
            ]);

        /* llamaremos a una funcion importada
           que muestra los datos del cliente  */
            
        //FUNC_MostrarDatosCliente(cliente[0], '#nombre1');
        //FUNC_MostrarDatosCliente(cliente[1], '#nombre2');

        const html_cliente1 = CrearDatosCliente(cliente[0],'<div>','</div>');
        const html_cliente2 = CrearDatosCliente(cliente[1]);

        FUNC_MostrarDatos(html_cliente1,'#nombre1')
        FUNC_MostrarDatos(html_cliente2,'#nombre2')
        
    } catch (error) {
        console.log(error);
    }
}


function CrearDatosCliente(
    resultado,
    tag_inicio = '',
    tag_final = '') 
{
    let html_total = '';
    if (resultado.no_record === true) {
        html_total = "No encuentra registros"
    } else {
        for (const obj of resultado) {
            const html1 = tag_inicio + `${obj.first_name} ${obj.last_name}` + tag_final;
            html_total = html_total + html1;
        }
    }
    return html_total;
}